Codestream (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class Codestream

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
          edu.harvard.hul.ois.jhove.module.jpeg2000.Codestream

    public class Codestream

extends MainOrTile

The information on a codestream, extracted from a Contiguous Codestream or Fragment Table, and the corresponding Codestream Header if any.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
`_codProperty, _comments, _components, _packetLengthList, _pocProperty, _precSize, _qcdProperty, NULL`

Constructor Summary
`Codestream()`

Method Summary
`void` | `addPPMLength(long len)` Add a PPM tilepart header length to the list of lengths
`void` | `addTileLength(Property p)` Add a tile length property to the list of tile lengths.
`NisoImageMetadata` | `getNiso()` Returns the images NisoImageMetadata.
`Property` | `makeProperty()` Builds a Property out of everything we've collected.
`protected void` | `setCompMapProperty(Property p)` Sets the component mapping property.
`void` | `setCompProperty(int idx, Property prop)` Set a property indexed by component.
`protected void` | `setCRGProperty(Property p)`
`void` | `setDefaultNiso(NisoImageMetadata dNiso)` Set the initial Niso values from a default Niso object.
`protected void` | `setLabelProperty(Property p)` Sets the label property.
`protected void` | `setPaletteProperty(Property p)` Sets the palette property.
`protected void` | `setROIProperty(Property p)` Sets the ROI property.
`protected void` | `setSIZProperty(Property p)` Sets the SIZ property.
`void` | `setTiles(java.util.List tiles)` Assign a List of Tile objects to the `tiles` field

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
`addComment, addPacketLength, getNumComponents, setCODProperty, setNumComponents, setPOCProperty, setQCDProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Codestream

    public Codestream()

Method Detail

### makeProperty

    public Property makeProperty()

  Builds a Property out of everything we've collected.

### setDefaultNiso

    public void setDefaultNiso(NisoImageMetadata dNiso)

  Set the initial Niso values from a default Niso object. This doesn't attempt to be complete, but sets the values which we know could have been set from the JP2 header.

### getNiso

    public NisoImageMetadata getNiso()

  Returns the images NisoImageMetadata.

### setTiles

    public void setTiles(java.util.List tiles)

  Assign a List of Tile objects to the `tiles` field

### addTileLength

    public void addTileLength(Property p)

  Add a tile length property to the list of tile lengths.

### addPPMLength

    public void addPPMLength(long len)

  Add a PPM tilepart header length to the list of lengths

### setLabelProperty

    protected void setLabelProperty(Property p)

  Sets the label property.

### setCompMapProperty

    protected void setCompMapProperty(Property p)

  Sets the component mapping property.

### setPaletteProperty

    protected void setPaletteProperty(Property p)

  Sets the palette property.

### setROIProperty

    protected void setROIProperty(Property p)

  Sets the ROI property.

### setSIZProperty

    protected void setSIZProperty(Property p)

  Sets the SIZ property.

### setCRGProperty

    protected void setCRGProperty(Property p)

### setCompProperty

    public void setCompProperty(int idx,
                                Property prop)

  Set a property indexed by component. If a property for that component doesn't already exist, it is created. `prop` is then added to the property list of that property.

  Overrides:
    `setCompProperty` in class `MainOrTile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD